> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Nodes



## OpenAPI

````yaml get /v1/nodes
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/nodes:
    get:
      tags:
        - V1 - Platform
      summary: Get Nodes
      operationId: get_nodes
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/NodeDefinition'
                type: array
                title: Response Get Nodes
      security:
        - APIKeyHeader: []
components:
  schemas:
    NodeDefinition:
      properties:
        inputs:
          items: {}
          type: array
          title: Inputs
        outputs:
          items: {}
          type: array
          title: Outputs
        details:
          items: {}
          type: array
          title: Details
        config:
          additionalProperties: true
          type: object
          title: Config
        type:
          type: string
          title: Type
        color:
          type: string
          title: Color
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        small_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Small Description
        documentation_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentation Url
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        sub_category:
          anyOf:
            - type: string
            - type: 'null'
          title: Sub Category
        example:
          anyOf:
            - type: string
            - type: 'null'
          title: Example
        ai_instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Ai Instructions
        integrations:
          anyOf:
            - items:
                anyOf:
                  - type: string
                  - items:
                      type: string
                    type: array
              type: array
            - type: 'null'
          title: Integrations
        providers:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Providers
        config_endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Config Endpoint
        subflow_config:
          anyOf:
            - $ref: '#/components/schemas/SubflowConfig'
            - type: 'null'
        is_valid:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Valid
        visible:
          type: boolean
          title: Visible
          default: true
        is_tool:
          type: boolean
          title: Is Tool
          default: false
        is_available:
          type: boolean
          title: Is Available
          default: true
        show_to_user:
          type: boolean
          title: Show To User
          default: true
        paywalled:
          type: boolean
          title: Paywalled
          default: false
        plugin_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Plugin Id
        plugin_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Plugin Name
        supports_mocking:
          type: boolean
          title: Supports Mocking
          default: false
        deletable:
          type: boolean
          title: Deletable
          default: true
        unique:
          type: boolean
          title: Unique
          default: false
        supports_error_handling:
          type: boolean
          title: Supports Error Handling
          default: true
        supports_iteration:
          type: boolean
          title: Supports Iteration
          default: true
        no_repeated_names:
          type: boolean
          title: No Repeated Names
          default: false
        allowed_in_flow_types:
          items:
            type: string
          type: array
          title: Allowed In Flow Types
          default:
            - flow
            - agent_flow
            - handler
            - ingestion
        pinned_fields:
          items:
            type: string
          type: array
          title: Pinned Fields
          default: []
        output_paths:
          items:
            type: string
          type: array
          title: Output Paths
          default: []
        input_paths:
          items:
            type: string
          type: array
          title: Input Paths
          default: []
        v2_ready:
          type: boolean
          title: V2 Ready
          default: false
        default_output_type:
          anyOf:
            - prefixItems:
                - type: string
                - type: integer
              type: array
              maxItems: 2
              minItems: 2
            - type: 'null'
          title: Default Output Type
        gathers_list:
          type: boolean
          title: Gathers List
          default: false
        gather_fields:
          items:
            type: string
          type: array
          title: Gather Fields
          default: []
        is_loop_scope:
          type: boolean
          title: Is Loop Scope
          default: false
        scope_only_outputs:
          items:
            type: string
          type: array
          title: Scope Only Outputs
          default: []
        referenced_assets:
          items:
            $ref: '#/components/schemas/ReferencedAssetField'
          type: array
          title: Referenced Assets
          default: []
      type: object
      required:
        - inputs
        - outputs
        - details
        - config
        - type
        - color
      title: NodeDefinition
    SubflowConfig:
      properties:
        workflow_id:
          type: string
          title: Workflow Id
        workflow_name:
          type: string
          title: Workflow Name
        workflow_nodes:
          items:
            type: string
          type: array
          title: Workflow Nodes
          default: []
      type: object
      required:
        - workflow_id
        - workflow_name
      title: SubflowConfig
    ReferencedAssetField:
      properties:
        config_field:
          type: string
          title: Config Field
        kind:
          type: string
          enum:
            - workflow
            - assistant
          title: Kind
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
      type: object
      required:
        - config_field
        - kind
      title: ReferencedAssetField
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````